ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
_snd_ump_msg_stream_gen Struct Reference

`#include <ump_msg.h>`

## Data Fields
uint16_t | type:4
uint16_t | format:2
uint16_t | status:10
uint16_t | data1
uint32_t | data2
uint32_t | data3
uint32_t | data4

## Detailed Description

Stream Message (generic) (128bit)

## Field Documentation

## ◆ data1

uint16_t _snd_ump_msg_stream_gen::data1

Data

## ◆ data2

uint32_t _snd_ump_msg_stream_gen::data2

Data

## ◆ data3

uint32_t _snd_ump_msg_stream_gen::data3

Data

## ◆ data4

uint32_t _snd_ump_msg_stream_gen::data4

Data

## ◆ format

uint16_t _snd_ump_msg_stream_gen::format

Format

## ◆ status

uint16_t _snd_ump_msg_stream_gen::status

Status

## ◆ type

uint16_t _snd_ump_msg_stream_gen::type

UMP packet type

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/ump_msg.h